/**
 * Reaction uses {@link https://github.com/aldeed/simple-schema-js SimpleSchema} to apply basic content and structure validation to Collections.
 * See {@link https://docs.reactioncommerce.com/reaction-docs/master/simple-schema full documentation}.
 * @typedef {SimpleSchema} SimpleSchema
 * @summary SimpleSchema for Collections
 * @namespace Schemas
 */

/**
 * Reaction uses {@link https://github.com/aldeed/simple-schema-js SimpleSchema} to apply basic content and structure validation to Collections.
 * See {@link https://docs.reactioncommerce.com/reaction-docs/master/simple-schema full documentation}.
 * @namespace Schemas
 */

import "./schemaIndex";
import "./schemaErrors";

export * from "./accounts";
export * from "./address";
export * from "./assets";
export * from "./catalog";
export * from "./cart";
export * from "./emails";
export * from "./inventory";
export * from "./layouts";
export * from "./metafield";
export * from "./notifications";
export * from "./orders";
export * from "./payments";
export * from "./products";
export * from "./registry";
export * from "./shipping";
export * from "./shops";
export * from "./groups";
export * from "./social";
export * from "./tags";
export * from "./templates";
export * from "./translations";
export * from "./workflow";
