import getMailConfig from "./getMailConfig";
import getMailUrl from "./getMailUrl";
import getShopLogo from "./getShopLogo";
import getSubject from "./getSubject";
import getTemplate from "./getTemplate";
import getTemplateFile from "./getTemplateFile";
import send from "./send";
import verifyConfig from "./verifyConfig";

/**
 * @file `Reaction.Email` methods for creating e-mail jobs, fetching e-mail templates and e-mail subject lines
 *
 * @see https://github.com/reactioncommerce/reaction/pull/1282
 * @namespace Email
 */

export default {
  getMailConfig,
  getMailUrl,
  getShopLogo,
  getSubject,
  getTemplate,
  getTemplateFile,
  send,
  verifyConfig
};
